com.tibbo.aggregate.common.action.command

## Class ShowEventLog

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.ShowEventLog

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class ShowEventLog
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_CLASS_NAME`
    `static java.lang.String` | `CF_CUSTOM_LISTENER_CODE`
    `static java.lang.String` | `CF_DASHBOARD`
    `static java.lang.String` | `CF_DASHBOARDS_HIERARCHY_INFO`
    `static java.lang.String` | `CF_DEFAULT_CONTEXT`
    `static java.lang.String` | `CF_DEFAULT_EVENT`
    `static java.lang.String` | `CF_EVENT_FILTER`
    `static java.lang.String` | `CF_EVENT_LIST`
    `static java.lang.String` | `CF_FILTER_PARAMETERS`
    `static java.lang.String` | `CF_INSTANCE_ID`
    `static java.lang.String` | `CF_KEY`
    `static java.lang.String` | `CF_LOCATION`
    `static java.lang.String` | `CF_PRELOAD_HISTORY`
    `static java.lang.String` | `CF_SHOW_ACKNOWLEDGEMENTS`
    `static java.lang.String` | `CF_SHOW_CONTEXTS`
    `static java.lang.String` | `CF_SHOW_DATA`
    `static java.lang.String` | `CF_SHOW_ENRICHMENTS`
    `static java.lang.String` | `CF_SHOW_HISTORY`
    `static java.lang.String` | `CF_SHOW_LEVELS`
    `static java.lang.String` | `CF_SHOW_NAMES`
    `static java.lang.String` | `CF_SHOW_REALTIME`
    `static TableFormat` | `CFT_SHOW_EVENT_LOG`
    `static java.lang.String` | `RF_LISTENER_CODE`
    `static TableFormat` | `RFT_SHOW_EVENT_LOG`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowEventLog()`
    `ShowEventLog(java.lang.String title, DataTable parameters)`
    `ShowEventLog(java.lang.String title, EntityList eventList, boolean showRealtime, boolean showHistory, boolean preloadHistory, boolean showContexts, boolean showNames, boolean showLevels, boolean showAcknowledgements, boolean showEnrichments, java.lang.Integer customListenerCode, WindowLocation location, DashboardProperties dashboard, ComponentLocation componentLocation)`
    `ShowEventLog(java.lang.String title, java.lang.String eventFilter, boolean showRealtime, boolean showHistory, boolean preloadHistory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.lang.String` | `getClassName()`
    `java.lang.Integer` | `getCustomListenerCode()`
    `DashboardProperties` | `getDashboard()`
    `DashboardsHierarchyInfo` | `getDashboardsHierarchyInfo()`
    `java.lang.String` | `getDefaultContext()`
    `java.lang.String` | `getDefaultEvent()`
    `java.lang.String` | `getEventFilter()`
    `EntityList` | `getEvents()`
    `DataTable` | `getFilterParameters()`
    `java.lang.Long` | `getInstanceId()`
    `java.lang.String` | `getKey()`
    `WindowLocation` | `getLocation()`
    `boolean` | `isPreloadHistory()`
    `boolean` | `isShowAcknowledgements()`
    `boolean` | `isShowContexts()`
    `boolean` | `isShowData()`
    `boolean` | `isShowEnrichments()`
    `boolean` | `isShowHistory()`
    `boolean` | `isShowLevels()`
    `boolean` | `isShowNames()`
    `boolean` | `isShowRealtime()`
    `void` | `setClassName(java.lang.String className)`
    `void` | `setCustomListenerCode(java.lang.Integer customListenerCode)`
    `void` | `setDashboard(DashboardProperties dashboard)`
    `void` | `setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)`
    `void` | `setDefaultContext(java.lang.String defaultContext)`
    `void` | `setDefaultEvent(java.lang.String event)`
    `void` | `setEventFilter(java.lang.String eventFilter)`
    `void` | `setEvents(EntityList eventList)`
    `void` | `setFilterParameters(DataTable filterParameters)`
    `void` | `setInstanceId(java.lang.Long instanceId)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setLocation(WindowLocation location)`
    `void` | `setPreloadHistory(boolean preloadHistory)`
    `void` | `setShowAcknowledgements(boolean showAcknowledgements)`
    `void` | `setShowContexts(boolean showContexts)`
    `void` | `setShowData(boolean showData)`
    `void` | `setShowEnrichments(boolean showEnrichments)`
    `void` | `setShowHistory(boolean showHistory)`
    `void` | `setShowLevels(boolean showLevels)`
    `void` | `setShowNames(boolean showNames)`
    `void` | `setShowRealtime(boolean showRealtime)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_EVENT_FILTER

          public static final java.lang.String CF_EVENT_FILTER

      See Also:
        Constant Field Values

    - #### CF_EVENT_LIST

          public static final java.lang.String CF_EVENT_LIST

      See Also:
        Constant Field Values

    - #### CF_SHOW_REALTIME

          public static final java.lang.String CF_SHOW_REALTIME

      See Also:
        Constant Field Values

    - #### CF_SHOW_HISTORY

          public static final java.lang.String CF_SHOW_HISTORY

      See Also:
        Constant Field Values

    - #### CF_PRELOAD_HISTORY

          public static final java.lang.String CF_PRELOAD_HISTORY

      See Also:
        Constant Field Values

    - #### CF_SHOW_CONTEXTS

          public static final java.lang.String CF_SHOW_CONTEXTS

      See Also:
        Constant Field Values

    - #### CF_SHOW_NAMES

          public static final java.lang.String CF_SHOW_NAMES

      See Also:
        Constant Field Values

    - #### CF_SHOW_LEVELS

          public static final java.lang.String CF_SHOW_LEVELS

      See Also:
        Constant Field Values

    - #### CF_SHOW_DATA

          public static final java.lang.String CF_SHOW_DATA

      See Also:
        Constant Field Values

    - #### CF_SHOW_ACKNOWLEDGEMENTS

          public static final java.lang.String CF_SHOW_ACKNOWLEDGEMENTS

      See Also:
        Constant Field Values

    - #### CF_SHOW_ENRICHMENTS

          public static final java.lang.String CF_SHOW_ENRICHMENTS

      See Also:
        Constant Field Values

    - #### CF_FILTER_PARAMETERS

          public static final java.lang.String CF_FILTER_PARAMETERS

      See Also:
        Constant Field Values

    - #### CF_CUSTOM_LISTENER_CODE

          public static final java.lang.String CF_CUSTOM_LISTENER_CODE

      See Also:
        Constant Field Values

    - #### CF_LOCATION

          public static final java.lang.String CF_LOCATION

      See Also:
        Constant Field Values

    - #### CF_DASHBOARD

          public static final java.lang.String CF_DASHBOARD

      See Also:
        Constant Field Values

    - #### CF_KEY

          public static final java.lang.String CF_KEY

      See Also:
        Constant Field Values

    - #### CF_DEFAULT_CONTEXT

          public static final java.lang.String CF_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_CLASS_NAME

          public static final java.lang.String CF_CLASS_NAME

      See Also:
        Constant Field Values

    - #### CF_INSTANCE_ID

          public static final java.lang.String CF_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### CF_DEFAULT_EVENT

          public static final java.lang.String CF_DEFAULT_EVENT

      See Also:
        Constant Field Values

    - #### CF_DASHBOARDS_HIERARCHY_INFO

          public static final java.lang.String CF_DASHBOARDS_HIERARCHY_INFO

      See Also:
        Constant Field Values

    - #### RF_LISTENER_CODE

          public static final java.lang.String RF_LISTENER_CODE

      See Also:
        Constant Field Values

    - #### CFT_SHOW_EVENT_LOG

          public static final TableFormat CFT_SHOW_EVENT_LOG

    - #### RFT_SHOW_EVENT_LOG

          public static final TableFormat RFT_SHOW_EVENT_LOG

  - ### Constructor Detail

    - #### ShowEventLog

          public ShowEventLog()

    - #### ShowEventLog

          public ShowEventLog(java.lang.String title,
                              EntityList eventList,
                              boolean showRealtime,
                              boolean showHistory,
                              boolean preloadHistory,
                              boolean showContexts,
                              boolean showNames,
                              boolean showLevels,
                              boolean showAcknowledgements,
                              boolean showEnrichments,
                              java.lang.Integer customListenerCode,
                              WindowLocation location,
                              DashboardProperties dashboard,
                              ComponentLocation componentLocation)

    - #### ShowEventLog

          public ShowEventLog(java.lang.String title,
                              java.lang.String eventFilter,
                              boolean showRealtime,
                              boolean showHistory,
                              boolean preloadHistory)

    - #### ShowEventLog

          public ShowEventLog(java.lang.String title,
                              DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getEventFilter

          public java.lang.String getEventFilter()

    - #### setEventFilter

          public void setEventFilter(java.lang.String eventFilter)

    - #### getEvents

          public EntityList getEvents()

    - #### setEvents

          public void setEvents(EntityList eventList)

    - #### isShowRealtime

          public boolean isShowRealtime()

    - #### setShowRealtime

          public void setShowRealtime(boolean showRealtime)

    - #### isShowHistory

          public boolean isShowHistory()

    - #### setShowHistory

          public void setShowHistory(boolean showHistory)

    - #### isPreloadHistory

          public boolean isPreloadHistory()

    - #### setPreloadHistory

          public void setPreloadHistory(boolean preloadHistory)

    - #### isShowContexts

          public boolean isShowContexts()

    - #### setShowContexts

          public void setShowContexts(boolean showContexts)

    - #### isShowNames

          public boolean isShowNames()

    - #### setShowNames

          public void setShowNames(boolean showNames)

    - #### isShowLevels

          public boolean isShowLevels()

    - #### setShowLevels

          public void setShowLevels(boolean showLevels)

    - #### isShowData

          public boolean isShowData()

    - #### setShowData

          public void setShowData(boolean showData)

    - #### isShowAcknowledgements

          public boolean isShowAcknowledgements()

    - #### setShowAcknowledgements

          public void setShowAcknowledgements(boolean showAcknowledgements)

    - #### isShowEnrichments

          public boolean isShowEnrichments()

    - #### setShowEnrichments

          public void setShowEnrichments(boolean showEnrichments)

    - #### getFilterParameters

          public DataTable getFilterParameters()

    - #### setFilterParameters

          public void setFilterParameters(DataTable filterParameters)

    - #### getCustomListenerCode

          public java.lang.Integer getCustomListenerCode()

    - #### setCustomListenerCode

          public void setCustomListenerCode(java.lang.Integer customListenerCode)

    - #### getLocation

          public WindowLocation getLocation()

    - #### setLocation

          public void setLocation(WindowLocation location)

    - #### getDashboard

          public DashboardProperties getDashboard()

    - #### setDashboard

          public void setDashboard(DashboardProperties dashboard)

    - #### getDefaultContext

          public java.lang.String getDefaultContext()

    - #### setDefaultContext

          public void setDefaultContext(java.lang.String defaultContext)

    - #### getClassName

          public java.lang.String getClassName()

    - #### setClassName

          public void setClassName(java.lang.String className)

    - #### getInstanceId

          public java.lang.Long getInstanceId()

    - #### setInstanceId

          public void setInstanceId(java.lang.Long instanceId)

    - #### getDefaultEvent

          public java.lang.String getDefaultEvent()

    - #### setDefaultEvent

          public void setDefaultEvent(java.lang.String event)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getDashboardsHierarchyInfo

          public DashboardsHierarchyInfo getDashboardsHierarchyInfo()

    - #### setDashboardsHierarchyInfo

          public void setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)